// Define a function.
import 'dart:convert';

import 'package:crypto/crypto.dart';

void printInteger(int aNumber) {
  print('The number is $aNumber.'); // Print to console.
}

// This is where the app starts executing.
void main() {
  String dataMatrix = "00000046208262nZ2qnLHODVFWktT";
  String numberText = dataMatrix.replaceAll(RegExp("[a-zA-Z]"), '');
  print(int.parse(numberText));
  String salt = '!=uF:w1N_Salh?1gVSJ#eGfJYHA(wS4D';
  String hash = md5.convert(utf8.encode('uvaissov@gmail.com$salt')).toString();
  print(hash);


  String value = "100.0";
  print(double.parse(value));
}